MultipleRecnoNIODataEntry (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class MultipleRecnoNIODataEntry

    java.lang.Object
      com.sleepycat.db.DatabaseEntry
          com.sleepycat.db.MultipleEntry
              com.sleepycat.db.MultipleRecnoNIODataEntry

    public class MultipleRecnoNIODataEntry

extends MultipleEntry

A DatabaseEntry that holds multiple record number/data pairs returned by a single `Database` or `Cursor` get call.

Constructor Summary
`MultipleRecnoNIODataEntry()` Construct an entry with no data.
`MultipleRecnoNIODataEntry(ByteBuffer data)` Construct an entry with a given java.nio.ByteBuffer.

Method Summary
`boolean` | `next(DatabaseEntry recno, DatabaseEntry data)` Get the next record number/data pair in the returned set.

Methods inherited from class com.sleepycat.db.MultipleEntry
`append_internal, append_internal, setUserBuffer`

Methods inherited from class com.sleepycat.db.DatabaseEntry
`equals, getData, getDataNIO, getOffset, getPartial, getPartialLength, getPartialOffset, getReadOnly, getRecordNumber, getReuseBuffer, getSize, getUserBuffer, getUserBufferLength, hashCode, setData, setData, setDataNIO, setDataNIO, setOffset, setPartial, setPartial, setPartialLength, setPartialOffset, setReadOnly, setRecordNumber, setReuseBuffer, setSize`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleRecnoNIODataEntry

    public MultipleRecnoNIODataEntry()

  Construct an entry with no data. The object must be configured before use with the `DatabaseEntry.setDataNIO` method.

### MultipleRecnoNIODataEntry

    public MultipleRecnoNIODataEntry(ByteBuffer data)

  Construct an entry with a given java.nio.ByteBuffer. The offset is set to zero; the size is set to the length of the java.nio.ByteBuffer.

  Parameters:
    `data` - java.nio.ByteBuffer wrapped by the entry.

Method Detail

### next

    public boolean next(DatabaseEntry recno,
                        DatabaseEntry data)

  Get the next record number/data pair in the returned set. This method may only be called after a successful call to a `Database` or `Cursor` get method with this object as the data parameter.

  When used with the Queue and Recno access methods, `data.getData()`will return `null` for deleted records.``

  Parameters:
    `recno` - an entry that is set to refer to the next record number in the returned set.

    `data` - an entry that is set to refer to the next data element in the returned set.

  Returns:
    indicates whether a value was found. A return of `false` indicates that the end of the set was reached.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.